<?xml version='1.0' encoding='UTF-8'?>
<!--Created on 2025-03-25 10:28:43 with the XBRLreports ESEF Creator. More info at www.xbrlreports.com-->
<tp:taxonomyPackage xml:lang="en" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd" xmlns:tp="http://xbrl.org/2016/taxonomy-package">
  <tp:identifier>http://www.aegon.com/V202503251030/</tp:identifier>
  <tp:name xml:lang="en">Aegon_RP_2024</tp:name>
  <tp:description xml:lang="en">This is an extension taxonomy created for reporting Aegon Ltd.'s annual report 2024 based on ESEF Taxonomy 2022.</tp:description>
  <tp:version>V202503251030</tp:version>
  <tp:publisher xml:lang="en">Aegon Ltd.</tp:publisher>
  <tp:publisherURL>www.aegon.com</tp:publisherURL>
  <tp:publisherCountry>NL</tp:publisherCountry>
  <tp:publicationDate>2024-12-31</tp:publicationDate>
  <tp:entryPoints>
    <tp:entryPoint>
      <tp:name xml:lang="en">Aegon_EP_2024</tp:name>
      <tp:description xml:lang="en">Elements, presentation tree calculation tree and dimension relationships for preparing Aegon Ltd.'s annual report 2024 based on ESEF Taxonomy 2022.</tp:description>
      <tp:version>V202503251030</tp:version>
      <tp:entryPointDocument href="http://www.aegon.com/V202503251030/Aegon_Ltd-2024-12-31.xsd" />
      <tp:languages>
        <tp:language>en</tp:language>
      </tp:languages>
    </tp:entryPoint>
  </tp:entryPoints>
</tp:taxonomyPackage>